Page MenuHomePhabricator

Gerrit Change-Id should not be copied with "Change-Id: " prefix
Open, Needs TriagePublic

Description

Steps to reproduce

  1. Open any patchset
  2. Click to the change id under parent and copy result
  3. Or click to the two-boxes icon next to it

Expected behavior
The change id should be copied.

Current behavior
The change id is copied with a prefix which is not really convenient when pasting it to cmd/terminal. I therefore have to copy from url in the commit message, which is not easy or quick

Configuration
Firefox 60, Gerrit 2.14.8-22-g07c8aa9910

Related Objects

Event Timeline

Dvorapa created this task.May 22 2018, 5:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2018, 5:51 AM
Restricted Application added a project: Upstream. · View Herald TranscriptMay 22 2018, 8:18 PM

is this for the old ui? If so, upstream are planning to remove it from *.googlesource.com on june 4 2018.

Yes, it is. Probably feel free to close. I didn't know the new UI is planned to be replaced so soon. When could we await the change arrives to Wmf?

PolyGerrit is @ the wmf now, we are planning to do T177201 soon. Which will bring alot of improvements to the new ui. (also adds alot of the missing features)

You can access polygerrit by doing https://gerrit.wikimedia.org/r/?polygerrit=1 which stores a cookie so it remembers to use polygerrit.

You can access polygerrit by doing https://gerrit.wikimedia.org/r/?polygerrit=1 which stores a cookie so it remembers to use polygerrit.

Yeah, but this is currently a bit buggy (as discussed in other tasks I created recently or some time ago). Hopefully T177201 solves most of them..

Yep, it should fix many of the bugs.

Vvjjkkii renamed this task from Gerrit Change-Id should not be copied with "Change-Id: " prefix to yicaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from yicaaaaaaa to Gerrit Change-Id should not be copied with "Change-Id: " prefix.
CommunityTechBot added a subscriber: Aklapper.
Ammarpad closed this task as Resolved.Mar 26 2019, 1:54 PM
Ammarpad claimed this task.
Ammarpad added a subscriber: Ammarpad.

I think this has been resolved. Now copying change-id does exactly what it should.

Ammarpad removed Ammarpad as the assignee of this task.Mar 26 2019, 1:54 PM
Dvorapa reopened this task as Open.Mar 26 2019, 1:56 PM

Not for me

Not for me

True :). I misread something.